Bug 1628832 - Package cleanup required
Summary: Package cleanup required
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: julietaula-montserrat-fonts
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-14 06:50 UTC by Pravin Satpute
Modified: 2018-11-13 04:16 UTC (History)
4 users (show)

Fixed In Version: julietaula-montserrat-fonts-7.200-4.fc28 julietaula-montserrat-fonts-7.200-4.fc29 julietaula-montserrat-fonts-7.200-5.fc27 julietaula-montserrat-fonts-7.200-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-26 17:06:42 UTC


Attachments (Terms of Use)

Description Pravin Satpute 2018-09-14 06:50:49 UTC
Description of problem:
At the moment 75 otf/ttf fonts has been packaged in single RPM. 
Improvement required.
1. Keep on .otf, remote .ttf. Its duplication.
2. Make two suppackages 
   a) Montserrat-*
   b) MontserratAlternates-*


Version-Release number of selected component (if applicable):
julietaula-montserrat-fonts-7.200-2.fc28.noarch

How reproducible:
Everytime

Steps to Reproduce:
1. See fonts installed under ulietaula-montserrat-fonts
2.
3.

Actual results:
1. It installing both ttf and otf.
2  2 families are installed under same packages. 

Expected results:
1. We do not required .ttf. 
2. See https://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts  for subpackaging.

Additional info:

Comment 1 Luya Tshimbalanga 2018-09-18 06:44:41 UTC
Is there a more recent multiple fonts guideline as the #1 has an outdated version?

Comment 3 Fedora Update System 2018-10-21 06:27:37 UTC
julietaula-montserrat-fonts-7.200-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a03e6c5bbd

Comment 4 Fedora Update System 2018-10-21 06:27:43 UTC
julietaula-montserrat-fonts-7.200-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e042c35825

Comment 5 Fedora Update System 2018-10-21 06:27:49 UTC
julietaula-montserrat-fonts-7.200-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-59e4a61229

Comment 6 Fedora Update System 2018-10-21 06:27:54 UTC
julietaula-montserrat-fonts-7.200-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-edf6c406ad

Comment 7 Fedora Update System 2018-10-21 22:36:19 UTC
julietaula-montserrat-fonts-7.200-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a03e6c5bbd

Comment 8 Fedora Update System 2018-10-22 23:22:21 UTC
julietaula-montserrat-fonts-7.200-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e042c35825

Comment 9 Fedora Update System 2018-10-22 23:33:19 UTC
julietaula-montserrat-fonts-7.200-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-edf6c406ad

Comment 10 Fedora Update System 2018-10-22 23:54:09 UTC
julietaula-montserrat-fonts-7.200-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-59e4a61229

Comment 11 Fedora Update System 2018-10-26 17:06:42 UTC
julietaula-montserrat-fonts-7.200-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-27 19:41:38 UTC
julietaula-montserrat-fonts-7.200-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7452e496c5

Comment 13 Fedora Update System 2018-10-27 19:41:47 UTC
julietaula-montserrat-fonts-7.200-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-455ea0cfec

Comment 14 Fedora Update System 2018-10-28 18:46:58 UTC
julietaula-montserrat-fonts-7.200-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-455ea0cfec

Comment 15 Fedora Update System 2018-10-28 20:26:38 UTC
julietaula-montserrat-fonts-7.200-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7452e496c5

Comment 16 Fedora Update System 2018-10-30 17:30:39 UTC
julietaula-montserrat-fonts-7.200-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-11-06 23:58:55 UTC
julietaula-montserrat-fonts-7.200-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-11-13 04:16:12 UTC
julietaula-montserrat-fonts-7.200-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.